List Recordings
curl --request GET \
--url https://api.example.com/v1/recordingsimport requests
url = "https://api.example.com/v1/recordings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/recordings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"toNumber": "<string>",
"fromNumber": "<string>",
"duration": 123,
"status": "<string>",
"direction": "<string>",
"createdAt": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasMore": true
}
}Recordings
List Recordings
List all recordings with optional filtering and pagination
GET
/
v1
/
recordings
List Recordings
Returns a paginated list of your recordings, sorted by creation date (newest first).
Query Parameters
integer
default:"1"
Page number (1-indexed)
integer
default:"20"
Results per page (max 100)
string
Filter by status:
completed, transcribing, processing, failedstring
Filter by call direction:
outbound or inboundstring
Search transcript text
Request
curl -X GET "https://app.transcord.app/api/v1/recordings?limit=10" \
-H "Authorization: Bearer tr_live_your_api_key"
const response = await fetch('https://app.transcord.app/api/v1/recordings?limit=10', {
headers: {
'Authorization': 'Bearer tr_live_your_api_key'
}
});
const { data, pagination } = await response.json();
import requests
response = requests.get(
'https://app.transcord.app/api/v1/recordings',
headers={'Authorization': 'Bearer tr_live_your_api_key'},
params={'limit': 10}
)
data = response.json()
Response
array
Array of recording objects
object
Response
{
"data": [
{
"id": "clx1234567890",
"toNumber": "+14155551234",
"fromNumber": "+14155555678",
"duration": 342,
"status": "completed",
"direction": "outbound",
"createdAt": "2026-01-15T10:30:00.000Z"
},
{
"id": "clx0987654321",
"toNumber": "+12125559999",
"fromNumber": "+14155555678",
"duration": 128,
"status": "completed",
"direction": "outbound",
"createdAt": "2026-01-14T15:45:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 47,
"totalPages": 5,
"hasMore": true
}
}
Errors
| Status | Description |
|---|---|
400 | Invalid query parameters |
401 | Invalid or missing API key |
⌘I